<template>
  <span class="ModalListAdd">
    
    <b-button  v-b-modal.m-list-add variant="success" class='ml-2'>+ Add List</b-button>

    <b-modal id="m-list-add" centered title="New List">

      <b-form-input v-model="listName" placeholder="List name"></b-form-input>

      <template #modal-footer>
        <div class="w-100">
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-list-add'); updateName();"
          >
            Save
          </b-button>
        </div>
      </template>
    </b-modal>

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalListAdd',
  props: ['board'],
  data(){
    return {
      listName: ''
    }
  },
  methods:{
    updateName(){

      console.log('ejeee ' + JSON.stringify(this.board))
      let list = {
        name: this.listName
      }

      axios.post(`${process.env.VUE_APP_URL}/lists/${this.board._id}`, list)
      .then(response => {
          console.log(response.data)
          this.listName = ''
          window.location.reload(false);
      })
      .catch(error => alert("error " + error))

      this.boardName = ''
    }
  }
}
</script>


<style scoped>
#ModalListAdd{
}
</style>
